Troubleshooting and support
Corner | Corner

HP provides several resources to help you troubleshoot and solve problems with your HP device. Some of the support options listed below might not be available if you do not have an HP imaging device installed.

Graphic - HP Web Update icon

First, make sure that you have the most up-to-date software and Help files from the Web.

Check for updates now.

For more information, click here.

Graphic - Troubleshooting and Support icon

Next, you can access troubleshooting topics for the HP Photosmart Software by expanding the Troubleshooting and support book in the Contents tab on the left pane.

Graphic - HP Solution Center icon.

Additional help is also available with the HP Solution Center. The HP Solution Center is a powerful, yet easy-to-use tool that can help you troubleshoot a wide range of problems. Depending on your device, the HP Solution Center automatically appears when a problem arises and guides you step-by-step through the available solutions.

HP Solution Center also provides a search feature that allows you to find information you need. The search allows you to look for information in the onscreen Help and on the HP Web site. For more information on the search feature, see Search for information.